{% extends "base.html" %}

<!--dynamic table-->
{% block extrahead %}
    {% load staticfiles %}
    <link href="{% static "assets/datatables/css/dataTables.bootstrap.min.css" %}" rel="stylesheet">
{% endblock %}

{% block title %}Restaurant List{% endblock %}
{% block restaurant_active %}active{% endblock %}
{% block parent_restaurant_a_active %}active{% endblock %}
{% block parent_restaurant_i_active %}active{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-sm-12">
            <section class="panel panel-content">
                <header class="panel-heading" style="font-size: 20px">
                    <span>Restaurant Management</span>

                    <span class="tools pull-right">
                            <a class="btn btn-success start" href="{% url 'add_restaurants' %}">
                                <i class="glyphicon glyphicon-plus"></i>
                                <span>Add New</span>
                            </a>
                    </span>
                </header>
                <div class="panel-body">
                    <div class="adv-table table-responsive">
                        <table class="display table table-bordered table-striped"
                               id="prize-table">
                            <thead>
                            <tr>
                                <th class="center text-center ver-center">No</th>
                                <th class="center text-center ver-center">Code</th>
                                <th class="center text-center ver-center">Name</th>
                                <th class="center text-center ver-center">Address</th>
                                <th class="center text-center ver-center">Email</th>
                                <th class="center text-center ver-center">Phone</th>
                                <th class="center text-center ver-center">Last Update</th>
                                <th class="center text-center ver-center">Status</th>
                            </tr>
                            </thead>
                        </table>
                    </div>
                </div>
            </section>
        </div>
    </div>
{% endblock %}
{% block extrafoot %}
    {% load staticfiles %}
    <script src="{% static 'assets/datatables/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'assets/datatables/js/dataTables.bootstrap.min.js' %}"></script>
    <!--dynamic table initialization -->
    <script src="{% static 'js/dynamic_table_init.js' %}"></script>
    <script>

        $(document).ready(function () {
            //Disable table error alert
            $.fn.dataTable.ext.errMode = 'throw';

            $('#prize-table').dataTable({
                "order": [[0, "desc"]],
                "serverSide": true,
                "ajax": {
                    "url": "{% url 'get_restaurants_list_as_json' %}",
                },
                "columns": [
                    {
                        "orderable": true,
                        "data": null,
                        "width": '5%',
                        "sClass": 'text-center',
                        "render": function (data, type, row, meta) {
                            return row.stt
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
                        "width": '10%',
                        "render": function (data, type, full, meta) {
                            var subject_link = '<a href="/cms/restaurants/edit/' + full.id + '">' + full.code + '</a>'
                            return subject_link;
                        }
                    },
                    {"data": "name"},
                    {"data": "address"},
                    {"data": "email", "width": '12%'},
                    {"data": "phone", "width": '12%'},
                    {"data": "update_date", "width": '11%', "sClass": "text-center"},
                    {
					    "orderable": false,
                        "data": null,
                        "width": '6%',
                        "render": function (data, type, row, meta) {
                            if (row.is_delete == 0) {
                                return '<span class="fa fa-check-circle text-success">Active</span>'
                            }
                            if (row.is_delete == 1) {
                                return '<span class="fa fa-trash-o text-danger">Deleted</span>'
                            }
                        }
                    },
                ]
            });

        })
    </script>
{% endblock %}


